﻿Imports System.Data.OleDb

Public Class PRINCIPAL

    Sub preencherDados(ByVal mysql As String)

        txtid.DataBindings.Clear()
        txtnome.DataBindings.Clear()
        txtendereco.DataBindings.Clear()

        Try
            cn = New OleDbConnection(strcon)
            cn.Open()
            adapt = New OleDbDataAdapter
            tbl = New DataTable
            cm = New OleDbCommand(mysql)
            adapt.SelectCommand = cm
            adapt.SelectCommand.Connection = cn
            adapt.Fill(tbl)
            bsource.DataSource = tbl
            BNav.BindingSource = bsource

            txtid.DataBindings.Add(New Binding("Text", bsource, "ID", True))
            txtnome.DataBindings.Add(New Binding("Text", bsource, "name", True))
            txtendereco.DataBindings.Add(New Binding("Text", bsource, "address", True))
            cn.Close()
            cn.Dispose()
        Catch ex As Exception
            MessageBox.Show("Erro : " & ex.Message)
        End Try

    End Sub
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        preencherDados("Select * from sim order by name")
        txtendereco.ReadOnly = True
        txtnome.ReadOnly = True
    End Sub

    Private Sub btnNovo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNovo.Click
        NOVO.Show()
    End Sub

    Private Sub btnEditar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEditar.Click
        If btnEditar.Text = "EDITAR" Then
            btnEditar.Text = "ATUALIZAR"
            txtendereco.ReadOnly = False
            txtnome.ReadOnly = False
        Else
            Dim msg As DialogResult
            msg = MessageBox.Show("Deseja Salvar as informações ?", "Aviso", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1)

            If msg = Windows.Forms.DialogResult.Yes Then
                cn = New OleDbConnection(strcon)
                cn.Open()
                cm = New OleDbCommand("Update sim set name ='" & txtnome.Text & "', address='" & txtendereco.Text & "' where id='" & txtid.Text & "' ", cn)
                cm.ExecuteNonQuery()
                cn.Close()
                preencherDados("Select * from sim order by name")
            End If
            btnEditar.Text = "EDITAR"
            txtendereco.ReadOnly = True
            txtnome.ReadOnly = True
        End If
    End Sub

    Private Sub btnDeletar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDeletar.Click
        Dim button As DialogResult
        button = MessageBox.Show("Deseja realmente excluir esta informação ?", "Message", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1)
        If button = Windows.Forms.DialogResult.Yes Then
            cn = New OleDbConnection(strcon)
            cn.Open()
            cm = New OleDbCommand("Delete from sim where id='" & txtid.Text & "' ", cn)
            cm.ExecuteNonQuery()
            cn.Close()
            MsgBox("Deletado com sucesso !", MsgBoxStyle.Information, "Message")
            preencherDados("Select * from sim order by name")
        End If
    End Sub

    Private Sub btnProcurar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnProcurar.Click
        PROCURAR.Show()
    End Sub

    Private Sub btnRefresca_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresca.Click
        txtendereco.ReadOnly = True
        txtnome.ReadOnly = True
        preencherDados("Select * from sim order by name")
    End Sub
End Class
